/* Reset and Base Styles */
:root {
    --primary-color: #adc7b5;
    --primary-color-accent-dark: #90b99d;
    --primary-color-accent-light: #c8dbce;
    --white: #FFFFFF;
    --black: #111;
    --light-grey: #eeeeee;
    --dark-grey: #6e726e;

}
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: Arial, sans-serif;
    font-size: 14pt;
    line-height: 1.6;
    color: var(--black);
}

/* Container and Layout */
.container {
    display: flex;
    min-height: 100vh;
}

.main-content {
    flex: 1;
    padding: 1em 2em;
}

/* Navigation */
.nav-menu {
    background: var(--primary-color);
    border-right-style: solid;
    border-width: 1px;
    border-color: var(--dark-grey);
}

.nav-menu ul {
    list-style: none;
}

/* Alle Menu Items (direkte links oder label mit checkbox und ul) */
.nav-links a, .nav-links label {
    text-decoration: none;
    display: block;
    color: var(--black);
    padding: 0.5em 1em;

    /*! background-color: var(--primary-color-accent-dark); */
    &:hover {
        background: var(--light-grey);
    }
}

.nav-links a{
    background-color: var(--primary-color-accent-dark);    
}

.nav-links label{
    background-color: var(--primary-color-accent-light);    
}


/* Checkboxen verstecken - CB speichert ob aus- oder eingeklappt */
.nav-menu input {
    display: none;
}

/* display sub menu if checkbox checked */
.nav-menu li:has(input:checked) {
    ul {
        opacity: 1;
        max-height: 1000px;
    }
}

/* Untermenü - ausgeblendet 
 * display:none verhindert die opacity transition
 * max-height gibt */
.nav-menu ul li ul {
    /*! background: var(--primary-color-accent-dark); */
    transition: opacity .8s ease,
    max-height .8s ease;
    opacity: 0;
    overflow: hidden;
    max-height: 0;
    label, a {
        padding-left: 2em;
    }
}


/* Hamburger Menu (Mobile) */
.hamburger-menu {
    display: none;
    font-size: 24px;
}
.hamburger-menu > label{
    cursor: pointer;
    padding: 5px 20px;
}

/* Text and Images */
.text-paragraph {
    margin-bottom: 20px;
    max-width: 700px;
}
h1, h2, h3, h4, h5{
    max-width: 700px;
}
.header-paragraph {
    max-width: 700px;
    margin-bottom: 10px;
    font-size: larger;
}


.full-width-image {
    max-width: 100%;
    height: auto;
    margin: 20px 0;
    padding: 2px;
    border-width: 3px;
    border-color: var(--light-grey);
    border-style: outset;
    border-radius: 5px;
}

.text-with-image, .text-with-image-reverse {
    display: flex;
    align-items: flex-start;
    gap: 20px;
    margin: 20px 0;
}

.small-image {
    width: 400px;
    height: auto;
    flex-shrink: 0;
    padding: 2px;
    border-width: 3px;
    border-color: var(--light-grey);
    border-style: outset;
    border-radius: 5px;
}

/* Code Snippet */
.code-snippet {
    background: #eeeeee;
    padding: 15px;
    border-radius: 5px;
    margin: 20px 0;
    position: relative;
    max-width: 800px; /* not really what i want...*/
    font-size: smaller;
}
.inline-code {
    background: #eeeeee;
    font-size: 10pt;
    padding: 2px;
    border-radius: 3px;
}
.code-snippet pre {
    overflow-x: auto;
}
.copy-button {
    position: absolute;
    top: 10px;
    right: 10px;
    padding: 5px 10px;
    background: var(--black);
    color: white;
    border: none;
    border-radius: 3px;
    cursor: pointer;
}

/* YouTube Embed */
.youtube-embed {
    margin: 20px 0;
}

/* Mobile Mode */
@media (max-width: 900px) {

    .main-content {
        padding: 1em;
    }
    .container {
        flex-direction: column;
    }

    .nav-menu {
        width: 100%;
        padding: 10px;
        border-right-style: none;
        border-bottom-style: solid;
    }

    .hamburger-menu {
        display: block;
    }
    /* Navigations Menü ausblenden bis die Hamburger Checkbox checked ist */
    .nav-links {
        display: none;
        flex-direction: column;
    }
    .hamburger-menu:has( > label > input[type="checkbox"]:checked) ~ .nav-links {
        display: flex;
    }

    /* Text mit Bild untereinander anzeigen */
    .text-with-image {
        flex-direction: column;
    }
    .text-with-image-reverse {
        flex-direction: column-reverse;
    }
    .small-image {
        width: 100%;
    }
}



